Decide & implement FileImporter behaviour when suppressed text revision data needs to be imported
Closed, ResolvedPublic

Description

Currently when the extension comes across a file that has either a suppressed user, comment or content the import will fail with some bad errors.

What behaviour do we want here?

  • 1) Do not allow importing of these files, and provide an nice error.

I guess this would kind of suck...

  • 2) Allow importing of the files

It is probably a bad idea to carry the suppressed data across where possible, so lets not do that.

We can just import suppressed content and comments as empty and mark them as suppressed again on the target site.
This will mean they appear the same (unless an admin unsuppresses them)

This is probably not possible for users as a user still has to be in the rev table?
Replace it will some other user / system user? Importing user? Impossible anon user? user_id = 0 & user_text = 0.0.0.0?

Addshore created this task.Apr 5 2017, 11:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2017, 11:16 AM

Change 346555 had a related patch set uploaded (by Addshore):
[mediawiki/extensions/FileImporter@master] Display nice error when suppressed rev data is found

https://gerrit.wikimedia.org/r/346555

Change 346555 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Display nice error when suppressed rev data is found

https://gerrit.wikimedia.org/r/346555

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 13 2017, 11:35 AM

Change 352165 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Implement FileImporter behaviour when suppressed revision data needs to be imported

https://gerrit.wikimedia.org/r/352165

Tobi_WMDE_SW closed this task as Resolved.Jun 20 2017, 2:48 PM
Andrew-WMDE reopened this task as Open.Jul 4 2017, 11:43 AM
Andrew-WMDE moved this task from Done to Sprint ready on the WMDE-QWERTY-Team-Board board.
Tobi_WMDE_SW renamed this task from Decide & implement FileImporter behaviour when suppressed revision data needs to be imported to Decide & implement FileImporter behaviour when suppressed text revision data needs to be imported.Aug 22 2017, 2:24 PM

This can more easily be demoed once T173833 is done

Tobi_WMDE_SW closed this task as Resolved.Sep 5 2017, 11:03 AM